<?xml version="1.0" encoding="utf-8"?>

<!--
SPDX-FileCopyrightText: Adam Evyčędo

SPDX-License-Identifier: GPL-3.0-or-later
-->

<androidx.coordinatorlayout.widget.CoordinatorLayout xmlns:android="http://schemas.android.com/apk/res/android"
	xmlns:app="http://schemas.android.com/apk/res-auto"
	xmlns:tool="http://schemas.android.com/tools"
	android:layout_width="match_parent"
	android:layout_height="match_parent"
	tool:context=".search.LineGraphActivity">

	<com.google.android.material.appbar.AppBarLayout
		android:layout_width="match_parent"
		android:layout_height="wrap_content">

		<TextView
			android:id="@+id/title"
			android:layout_width="wrap_content"
			android:layout_height="wrap_content"
			android:gravity="center"
			android:minHeight="?actionBarSize"
			android:padding="16dp"
			android:textAppearance="@style/TextAppearance.Widget.AppCompat.Toolbar.Title" />

		<com.google.android.material.tabs.TabLayout
			android:id="@+id/tabs"
			android:layout_width="match_parent"
			android:layout_height="wrap_content" />
	</com.google.android.material.appbar.AppBarLayout>

	<androidx.constraintlayout.widget.ConstraintLayout
		android:id="@+id/line_overlay"
		android:layout_width="match_parent"
		android:layout_height="match_parent">

		<com.google.android.material.progressindicator.CircularProgressIndicator
			android:id="@+id/line_progress"
			android:layout_width="wrap_content"
			android:layout_height="wrap_content"
			android:indeterminate="true"
			app:layout_constraintBottom_toBottomOf="parent"
			app:layout_constraintEnd_toEndOf="parent"
			app:layout_constraintStart_toStartOf="parent"
			app:layout_constraintTop_toTopOf="parent" />

		<ImageView
			android:id="@+id/error_image"
			android:layout_width="92dp"
			android:layout_height="92dp"
			android:visibility="gone"
			app:layout_constraintBottom_toBottomOf="parent"
			app:layout_constraintEnd_toEndOf="parent"
			app:layout_constraintStart_toStartOf="parent"
			app:layout_constraintTop_toTopOf="parent"
			tool:ignore="ContentDescription"
			tool:src="@drawable/error_net" />

		<com.google.android.material.textview.MaterialTextView
			android:id="@+id/error_text"
			android:layout_width="0dp"
			android:layout_height="wrap_content"
			android:layout_marginStart="16dp"
			android:layout_marginTop="8dp"
			android:layout_marginEnd="16dp"
			android:textAlignment="center"
			android:textAppearance="@style/TextAppearance.Material3.HeadlineSmall"
			android:visibility="gone"
			app:layout_constraintEnd_toEndOf="parent"
			app:layout_constraintStart_toStartOf="parent"
			app:layout_constraintTop_toBottomOf="@+id/error_image"
			tool:text="No connection" />
	</androidx.constraintlayout.widget.ConstraintLayout>

	<androidx.viewpager.widget.ViewPager
		android:id="@+id/view_pager"
		android:visibility="gone"
		android:layout_width="match_parent"
		android:layout_height="match_parent"
		app:layout_behavior="@string/appbar_scrolling_view_behavior" />
</androidx.coordinatorlayout.widget.CoordinatorLayout>